// ReSharper disable all
using System;
using NUnit.Framework;
using static MjPilkkominen;

	[TestFixture]
	[DefaultFloatingPointTolerance(0.000001)]
	public  class TestMjPilkkominen
	{
		[Test]
		public  void TestMerkkijonoLuvuiksi45()
		{
			Assert.AreEqual( new int[]{1,2,3}, MerkkijonoLuvuiksi("1 2 3", [' ']) , "in method MerkkijonoLuvuiksi, line 46");
			Assert.AreEqual( new int[]{0,0,1,0,3,0,0,5}, MerkkijonoLuvuiksi(" ,,1;;3  ;5  ", [' ', ',', ';']) , "in method MerkkijonoLuvuiksi, line 47");
			Assert.AreEqual( null, MerkkijonoLuvuiksi("1 3k 5", new char[] {' '}) , "in method MerkkijonoLuvuiksi, line 48");
		}
	}

